<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-evaluacion-alumno-heading" data-cy="EvaluacionAlumnoCreateUpdateHeading">Create or edit a Evaluacion Alumno</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" [hidden]="editForm.get('id')!.value == null">
          <label class="form-label" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label class="form-label" for="field_resultado">Resultado</label>
          <input type="number" class="form-control" name="resultado" id="field_resultado" data-cy="resultado" formControlName="resultado" />
        </div>

        <div class="row mb-3">
          <label class="form-label" for="field_evaluacion">Evaluacion</label>
          <select class="form-control" id="field_evaluacion" data-cy="evaluacion" name="evaluacion" formControlName="evaluacion">
            <option [ngValue]="null"></option>
            <option
              [ngValue]="
                evaluacionOption.id === editForm.get('evaluacion')!.value?.id ? editForm.get('evaluacion')!.value : evaluacionOption
              "
              *ngFor="let evaluacionOption of evaluacionsSharedCollection; trackBy: trackEvaluacionById"
            >
              {{ evaluacionOption.id }}
            </option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" for="field_alumno">Alumno</label>
          <select class="form-control" id="field_alumno" data-cy="alumno" name="alumno" formControlName="alumno">
            <option [ngValue]="null"></option>
            <option
              [ngValue]="alumnoOption.id === editForm.get('alumno')!.value?.id ? editForm.get('alumno')!.value : alumnoOption"
              *ngFor="let alumnoOption of alumnosSharedCollection; trackBy: trackAlumnoById"
            >
              {{ alumnoOption.id }}
            </option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" for="field_evaluador">Evaluador</label>
          <select class="form-control" id="field_evaluador" data-cy="evaluador" name="evaluador" formControlName="evaluador">
            <option [ngValue]="null"></option>
            <option
              [ngValue]="alumnoOption.id === editForm.get('evaluador')!.value?.id ? editForm.get('evaluador')!.value : alumnoOption"
              *ngFor="let alumnoOption of alumnosSharedCollection; trackBy: trackAlumnoById"
            >
              {{ alumnoOption.id }}
            </option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
